
# argv[1] = peaks bed file, argv[2] = output file, argv[3] = genome file
import sys

out = open(sys.argv[2],'w')

temp, genome, genome_IDs = [], [], []
for line in open(sys.argv[3]): # Import genome as scaffolds
  if line[0] == '>':
    temp.append([])
    genome_IDs.append(line[1:-1])
  else:
    temp[-1].append(line.strip())
for i in temp:
	genome.append(''.join(i))

for line in open(sys.argv[1], 'r'): # Convert peaks to sequences
    if '#' in line:
        continue
    elif 'start' in line:
        continue
    elif (len(line)) < 10:
        continue
    else:
        scaff, start, stop, pile, fold_change = line.split('\t')
        ID = '>' + scaff + ':' + start + ':' + stop + '\n'
        index = genome_IDs.index(scaff)
        seq = genome[index][int(start):int(stop)]
        out.write(ID)
        out.write(seq)
        out.write('\n')
out.close()
